<template>
  <div class="app-container calendar-list-container">
    <!-- 查询和其他操作 -->
    <div class="filter-container">
      <el-input clearable class="filter-item" style="width: 200px;" placeholder="请输入发布人、动态内容"
                v-model="listQuery.title"></el-input>
      <el-button class="filter-item" type="primary" v-waves icon="el-icon-search" @click="handleFilter">查找</el-button>
    </div>
    <!--查询结果-->
    <el-table size="small" :data="list" v-loading="listLoading" element-loading-text="正在查询中。。。" border fit
              highlight-current-row>
      <el-table-column type="index" label="序号" header-align="center" align="center">
      </el-table-column>
      <el-table-column align="center" min-width="250px" label="发布人" prop="creator">
      </el-table-column>
      <el-table-column align="center" min-width="300px" label="动态内容" prop="content">
      </el-table-column>
      <el-table-column align="center" min-width="300px" label="发布时间" prop="createDate">
      </el-table-column>
      <!--<el-table-column align="center" min-width="300px" label="图片" prop="image">-->
      <!--<template slot-scope="scope">-->
      <!--<img :src="scope.row.image" width="180px" height="90px"/>-->
      <!--</template>-->
      <!--</el-table-column>-->
      <el-table-column align="center" label="操作" width="240px" class-name="small-padding fixed-width">
        <template slot-scope="scope">
          <el-button type="danger" size="small" @click="handleDelete(scope.row)">删除</el-button>
        </template>
      </el-table-column>
    </el-table>

    <!-- 分页 -->
    <div class="pagination-container">
      <el-pagination background @size-change="handleSizeChange" @current-change="handleCurrentChange" :current-page="listQuery.page"
                     :page-sizes="[10,20,30,50]" :page-size="listQuery.limit" layout="total, sizes, prev, pager, next, jumper" :total="total">
      </el-pagination>
    </div>
  </div>
</template>

<script>
  import {listTrend, deleteTrend} from '@/api/trend'
  import {createStorage} from '@/api/storage'
  import waves from '@/directive/waves' // 水波纹指令

  export default {
    name: 'trend',
    directives: {
      waves
    },
    data() {
      return {
        listQuery: {
          page: 1,
          limit: 20,
          title: undefined,
          sort: '+id'
        },
        list: [],
        total: undefined,
        listLoading: false
      }
    },
    created() {

    },
    mounted() {
      this.getList();
    },
    methods: {
      getList() {
        listTrend(this.listQuery).then(response => {
          this.list = response.data.data.items
          console.log(this.list)
          this.total = response.data.data.total
          this.listLoading = false
        }).catch(() => {
          this.list = []
          this.total = 0
          this.listLoading = false
        })
      },
      handleDelete(row) {
        this.$confirm('确认删除吗?', '提示', {
          confirmButtonText: '确定',
          cancelButtonText: '取消',
          type: 'warning'
        }).then(() => {
          deleteTrend(row).then(response => {
            this.$notify({
              title: '成功',
              message: '删除成功',
              type: 'success',
              duration: 2000
            })
            const index = this.list.indexOf(row)
            this.list.splice(index, 1)
          })
        }).catch(() => {

        })
      },
      handleFilter() {
        this.listQuery.page = 1
        this.getList()
      },
      handleSizeChange(val) {
        this.listQuery.limit = val
        this.getList()
      },
      handleCurrentChange(val) {
        this.listQuery.page = val
        this.getList()
      }
    }

  }
</script>
<style>

</style>
